Patch Report
PATCH
/reports/{report_id}
const url = 'https://example.com/reports/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"status":"accepted","resolver_note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/reports/example \ --header 'Content-Type: application/json' \ --data '{ "status": "accepted", "resolver_note": "example" }'Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»report_id
required
Report Id
string
Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}